
Figure - Bug #117958
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【IOVDEV-28209】【IOVDEV-28213】【小窗模式】部分应用小窗模式下执行返回手势，直接返回桌面，而
不是返回上一级页面
2023-05-16 15:33 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-16

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 直接返回到桌面是因为这些应用都只启动了一个界面,跳转都只是替换内部的视图,没有新起一个界面,所以就直接返回到桌面了

Description

【测试步骤】

1、打开喜马拉雅or酷狗音乐

2、进入二级或者三级页面

3、屏幕左侧执行返回手势

【预期结果】

3、返回上一级页面

【实际结果】

3、直接返回桌面

History

#1 - 2023-05-16 16:44 - CD FW-鲁凯峰

- File 全屏.mp4 added

- Category changed from 窗口定制 to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CDTS_TEST 王成

- Need_Info changed from -- to TEST

- Root cause set to 直接返回到桌面是因为这些应用都只启动了一个界面,跳转都只是替换内部的视图,没有新起一个界面,所以就直接返回到桌面了

这个是正常的逻辑，如果当前只有一个界面的话,触发返回就是销毁当前应用,返回到上一个应用.

直接返回到桌面是因为这些应用都只启动了一个界面,跳转都只是替换内部的视图,没有新起一个界面,所以就直接返回到桌面了

比如说酷狗,启动后的界面MediaActivity, 点击立即参与按钮后,它的界面还是MediaActivity,它并没有创建一个新的界面来显示立即参与的内容

所以触发返回后,把当前的MediaActivity销毁掉就会直接返回到桌面

05-10 23:17:18.589  1027  5109 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.kugou.android/.app.MediaActivity (has extras)} from uid 10100

全屏模式下相同的操作也是一样的界面
系统侧这边无法修改这个逻辑

#2 - 2023-05-17 16:06 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#3 - 2023-05-17 16:06 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#4 - 2023-05-17 16:07 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-05-16 15-32-24.mp4 12.9 MB 2023-05-16 CD TEST-方永红

全屏.mp4 37.1 MB 2023-05-16 CD FW-鲁凯峰
